| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csVertexStatus Struct Reference
[Geometry utilities]

The clipper can output additional information about each vertex in output polygon. More...

`#include <igeom/clip2d.h>`

List of all members.

## Public Attributes
float | Pos
| Additional information for CS_VERTEX_ONEDGE (0..1, the 't' parameter).
unsigned char | Type
| The type of vertex.
size_t | Vertex
| Original vertex number (for CS_VERTEX_ORIGINAL and CS_VERTEX_ONEDGE).

## Detailed Description

The clipper can output additional information about each vertex in output polygon.

This is used for generating U/V/Z values and so on, if they are needed.

Definition at line 65 of file clip2d.h.

## Member Data Documentation

float csVertexStatus::Pos

Additional information for CS_VERTEX_ONEDGE (0..1, the 't' parameter).

Definition at line 75 of file clip2d.h.

unsigned char csVertexStatus::Type

The type of vertex.

One of CS_VERTEX_ORIGINAL, CS_VERTEX_ONEDGE, CS_VERTEX_INSIDE.

Definition at line 71 of file clip2d.h.

size_t csVertexStatus::Vertex

Original vertex number (for CS_VERTEX_ORIGINAL and CS_VERTEX_ONEDGE).

Definition at line 73 of file clip2d.h.

The documentation for this struct was generated from the following file:

- igeom/clip2d.h